<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
>

<ui:composition template="arch.xhtml">

    <ui:define name="head">
        <title>Connexion</title>
    </ui:define>

    <ui:define name="content">
        <b:form id="loginForm">
            <b:panel colXs="12" colSm="10" colMd="8" offsetSm="1" offsetMd="2"
                     style-class="mt-3rem mb-5rem">
                <b:row>
                    <b:column colSm="2" colMd="2" offsetSm="1"
                              style-class="hidden-xs mt-1rem">
                        <h:outputText value="Identifiant" />
                    </b:column>
                    <b:column colXs="10" offsetXs="1"
                              style-class="hidden-sm hidden-md hidden-lg">
                        <h:outputText value="Identifiant" />
                    </b:column>
                    <b:column colXs="10" colSm="7" colMd="7" offsetXs="1" offsetSm="0">
                        <b:inputText id="inpLogin"
                                     placeholder="Veuillez entrer un identifiant"
                                     value="#{mbLogin.login}">
                            <f:facet name="prepend">
                                <b:icon name="user" />
                            </f:facet>
                        </b:inputText>
                    </b:column>
                </b:row>
                <b:row>
                    <b:column colSm="2" colMd="2" offsetSm="1"
                              style-class="hidden-xs mt-1rem">
                        <h:outputText value="Mot de passe" />
                    </b:column>
                    <b:column colXs="10" offsetXs="1"
                              style-class="hidden-sm hidden-md hidden-lg">
                        <h:outputText value="Mot de passe" />
                    </b:column>
                    <b:column colXs="10" colSm="7" colMd="7" offsetXs="1" offsetSm="0">
                        <b:inputSecret id="inpPassword"
                                       placeholder="Veuillez entrer un mot de passe"
                                       value="#{mbLogin.password}">
                            <f:facet name="prepend">
                                <b:iconAwesome name="key" />
                            </f:facet>
                        </b:inputSecret>
                    </b:column>
                </b:row>
                <b:row>
                    <b:column>
                        <b:message for="inpPassword" />
                    </b:column>
                </b:row>
                <b:row>
                    <b:column colXs="10" colSm="10" colMd="4" offsetXs="1" offsetSm="1"
                              style-class="p-1rem">
                        <b:commandButton style-class="w-100" value="Connexion"
                                         action="#{mbLogin.connect()}" />
                    </b:column>
                    <b:column colXs="10" colSm="10" colMd="4" offsetXs="1" offsetSm="1" offsetMd="2"
                              style-class="p-1rem">
                        <b:commandButton style-class="w-100"
                                         value="Mot de Passe oublié" action="#{mbLogin.connect()}" />
                    </b:column>
                </b:row>
            </b:panel>
        </b:form>
    </ui:define>

</ui:composition>

</html>